import "../../../../../../node_modules/.pnpm/vue@3.3.4/node_modules/vue/dist/vue.runtime.esm-bundler.mjs";
import { getUUID } from "../../../../../utils/utils.mjs";
import "../../../../../../node_modules/.pnpm/crypto-js@4.1.1/node_modules/crypto-js/index.mjs";
import "../../../../../enums/pageEnum.mjs";
import "../../../../../router/index.mjs";
import "../../../../../store/modules/designStore/designStore.mjs";
import "../../../../../../node_modules/.pnpm/vue3-lazyload@0.2.5-beta_a6dezdz3je235ci4e3tu4rayna/node_modules/vue3-lazyload/dist/vue3-lazyload.esm.mjs";
import "../../../../../components/GoSkeleton/index.vue.mjs";
import "../../../../../components/GoLoading/index.mjs";
import "../../../../../settings/designSetting.mjs";
import { useCssVars } from "../../../../../../node_modules/.pnpm/@vue_runtime-dom@3.3.4/node_modules/@vue/runtime-dom/dist/runtime-dom.esm-bundler.mjs";
import { defineComponent, openBlock, createElementBlock, createElementVNode as createBaseVNode, pushScopeId, popScopeId } from "../../../../../../node_modules/.pnpm/@vue_runtime-core@3.3.4/node_modules/@vue/runtime-core/dist/runtime-core.esm-bundler.mjs";
import { unref, toRefs } from "../../../../../../node_modules/.pnpm/@vue_reactivity@3.3.4/node_modules/@vue/reactivity/dist/reactivity.esm-bundler.mjs";
import { toDisplayString } from "../../../../../../node_modules/.pnpm/@vue_shared@3.3.4/node_modules/@vue/shared/dist/shared.esm-bundler.mjs";
const _withScopeId = (n) => (pushScopeId("data-v-db506cc9"), n = n(), popScopeId(), n);
const _hoisted_1 = { class: "go-border-06" };
const _hoisted_2 = ["width", "height"];
const _hoisted_3 = /* @__PURE__ */ _withScopeId(() => /* @__PURE__ */ createBaseVNode("polygon", {
  class: "stroke fill",
  points: `15.5 6.5 20.5 0.5 50.5 0.5 55.5 6.5 15.5 6.5`
}, null, -1));
const _hoisted_4 = ["points"];
const _hoisted_5 = ["points"];
const _hoisted_6 = ["points"];
const _hoisted_7 = ["points"];
const _hoisted_8 = ["points"];
const _hoisted_9 = ["points"];
const _hoisted_10 = { class: "text" };
const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "index",
  props: {
    chartConfig: {
      type: Object,
      required: true
    }
  },
  setup(__props) {
    const props = __props;
    useCssVars((_ctx) => ({
      "30f2c0b4": unref(colors)[0],
      "30f2c076": unref(colors)[1],
      "32016584": unref(textColor),
      "f68b5eba": unref(textSize) + "px"
    }));
    getUUID();
    const { w, h } = toRefs(props.chartConfig.attr);
    const { colors, dataset, textSize, textColor } = toRefs(props.chartConfig.option);
    return (_ctx, _cache) => {
      return openBlock(), createElementBlock("div", _hoisted_1, [
        (openBlock(), createElementBlock("svg", {
          xmlns: "http://www.w3.org/2000/svg",
          width: unref(w),
          height: unref(h)
        }, [
          _hoisted_3,
          createBaseVNode("polygon", {
            class: "stroke fill",
            points: `15.5 ${unref(h) - 6.5} 20.5 ${unref(h) - 0.5} 50.5 ${unref(h) - 0.5} 55.5 ${unref(h) - 6.5} 15.5 ${unref(h) - 6.5}`
          }, null, 8, _hoisted_4),
          createBaseVNode("polygon", {
            class: "stroke fill",
            points: `${unref(w) - 15.5} 6.5 ${unref(w) - 20.5} 0.5 ${unref(w) - 50.5} 0.5 ${unref(w) - 55.5} 6.5 ${unref(w) - 15.5} 6.5`
          }, null, 8, _hoisted_5),
          createBaseVNode("polygon", {
            class: "stroke fill",
            points: `${unref(w) - 15.5} ${unref(h) - 6.5} ${unref(w) - 20.5} ${unref(h) - 0.5} ${unref(w) - 50.5} ${unref(h) - 0.5} ${unref(w) - 55.5} ${unref(h) - 6.5} ${unref(w) - 15.5} ${unref(h) - 6.5}`
          }, null, 8, _hoisted_6),
          createBaseVNode("polygon", {
            class: "stroke fill",
            points: `15.5 6.5 0.5 ${unref(h) / 2} 15.5 ${unref(h) - 6.5} ${unref(w) - 15.5} ${unref(h) - 6.5} ${unref(w) - 0.5} ${unref(h) / 2} ${unref(w) - 15.5} 6.5 15.5 6.5`
          }, null, 8, _hoisted_7),
          createBaseVNode("polyline", {
            class: "stroke fill-none",
            points: `20.5 14.5 8.5 ${unref(h) / 2} 20.5 ${unref(h) - 14.5}`
          }, null, 8, _hoisted_8),
          createBaseVNode("polyline", {
            class: "stroke fill-none",
            points: `${unref(w) - 20.5} 14.5 ${unref(w) - 8.5} ${unref(h) / 2} ${unref(w) - 20.5} ${unref(h) - 14.5}`
          }, null, 8, _hoisted_9)
        ], 8, _hoisted_2)),
        createBaseVNode("span", _hoisted_10, toDisplayString(unref(dataset)), 1)
      ]);
    };
  }
});
export {
  _sfc_main as default
};
